UniFi controller will not start after upgrade to Ubuntu 16.04.01



  • I had not upgraded my unifi Controller base OS in a while and decided to do it the other day.

    Now the UniFi controller does not start.

    Google is giving me info regarding Java versions, but I am not sure what I need to look at here. Likely I am too tired to think straight. ..



  • Hmmm...I upgraded mine and didn't have an issue... what Ubuntu version did you come from?



  • @brianlittlejohn said in UniFi controller will not start after upgrade to Ubuntu 16.04.01:

    Hmmm...I upgraded mine and didn't have an issue... what Ubuntu version did you come from?

    no clue. 15 something I assume. I have a backup i can restore if I want.



  • @brianlittlejohn said in UniFi controller will not start after upgrade to Ubuntu 16.04.01:

    Hmmm...I upgraded mine and didn't have an issue... what Ubuntu version did you come from?

    Based on this, I would say 15.10

    ## Debian/Ubuntu
    # stable => unifi4
    deb http://www.ubnt.com/downloads/unifi/debian unifi5 ubiquiti # disabled on upgrade to xenial
    # deb http://www.ubnt.com/downloads/unifi/debian stable ubiquiti # disabled on upgrade to wily
    


  • Basic service status tells me nothing.

    [email protected]:~$ sudo service unifi start
    Failed to start unifi.service: Unit unifi.service is masked.
    [email protected]:~$ sudo service unifi status
    ● unifi.service
       Loaded: masked (/dev/null; bad)
       Active: inactive (dead)
    [email protected]:~$
    


  • @JaredBusch said in UniFi controller will not start after upgrade to Ubuntu 16.04.01:

    Basic service status tells me nothing.

    [email protected]:~$ sudo service unifi start
    Failed to start unifi.service: Unit unifi.service is masked.
    [email protected]:~$ sudo service unifi status
    ● unifi.service
       Loaded: masked (/dev/null; bad)
       Active: inactive (dead)
    [email protected]:~$
    

    Try starting the service and then looking at the log. Didn't Ubuntu move to systemd now as well? Might want to try the systemd version.

    sudo systemctl start unifi
    
    tail /var/log/syslog
    

    I could well be wrong about the change to systemd.









  • A google result the other night said something about the switch to java 8 with 16.04

    but i cannot find that again this morning.



  • @travisdh1 said in UniFi controller will not start after upgrade to Ubuntu 16.04.01:

    Try starting the service and then looking at the log. Didn't Ubuntu move to systemd now as well? Might want to try the systemd version.

    I could well be wrong about the change to systemd.

    Like it is not even trying...

    [email protected]:~$ tail -f /var/log/unifi/server.log
    [2016-08-25 16:32:05,828] <launcher> INFO  webrtc - WebRTC library version: EvoStream Media Server (www.evostream.com) version 1.6.5 build 1798-e8e8703-fix/dtls-shared-context - Gladiator - (built for Debian-7.0.5-x86_64 on 2016-05-20T10:47:47.000)
    OpenSSL version: 1.0.2h
    usrsctp version: 23dc752d65e753de
    compiled on machine: Linux debian-7-0-5-64 3.2.0-4-amd64 #1 SMP Debian 3.2.68-1+deb7u6 x86_64 GNU/Linux
    [2016-08-26 02:03:58,446] <db-server> WARN  system - process is interupted: bin/mongod
    [2016-08-26 02:08:17,985] <launcher> INFO  webrtc - WebRTC library version: EvoStream Media Server (www.evostream.com) version 1.6.5 build 1798-e8e8703-fix/dtls-shared-context - Gladiator - (built for Debian-7.0.5-x86_64 on 2016-05-20T10:47:47.000)
    OpenSSL version: 1.0.2h
    usrsctp version: 23dc752d65e753de
    compiled on machine: Linux debian-7-0-5-64 3.2.0-4-amd64 #1 SMP Debian 3.2.68-1+deb7u6 x86_64 GNU/Linux
    [2016-08-26 02:13:47,205] <db-server> WARN  system - process is interupted: bin/mongod
    [email protected]:~$ systemctl restart unifi
    ==== AUTHENTICATING FOR org.freedesktop.systemd1.manage-units ===
    Authentication is required to restart 'unifi.service'.
    Authenticating as: Bundy Administrator,,, (bna)
    Password:
    ==== AUTHENTICATION COMPLETE ===
    Failed to restart unifi.service: Unit unifi.service is masked.
    [email protected]:~$ tail -f /var/log/unifi/server.log
    [2016-08-25 16:32:05,828] <launcher> INFO  webrtc - WebRTC library version: EvoStream Media Server (www.evostream.com) version 1.6.5 build 1798-e8e8703-fix/dtls-shared-context - Gladiator - (built for Debian-7.0.5-x86_64 on 2016-05-20T10:47:47.000)
    OpenSSL version: 1.0.2h
    usrsctp version: 23dc752d65e753de
    compiled on machine: Linux debian-7-0-5-64 3.2.0-4-amd64 #1 SMP Debian 3.2.68-1+deb7u6 x86_64 GNU/Linux
    [2016-08-26 02:03:58,446] <db-server> WARN  system - process is interupted: bin/mongod
    [2016-08-26 02:08:17,985] <launcher> INFO  webrtc - WebRTC library version: EvoStream Media Server (www.evostream.com) version 1.6.5 build 1798-e8e8703-fix/dtls-shared-context - Gladiator - (built for Debian-7.0.5-x86_64 on 2016-05-20T10:47:47.000)
    OpenSSL version: 1.0.2h
    usrsctp version: 23dc752d65e753de
    compiled on machine: Linux debian-7-0-5-64 3.2.0-4-amd64 #1 SMP Debian 3.2.68-1+deb7u6 x86_64 GNU/Linux
    [2016-08-26 02:13:47,205] <db-server> WARN  system - process is interupted: bin/mongod
    


  • This was the link I found about Java 8. but this was related to an install failure and not an upgrade.



  • @JaredBusch

    ==== AUTHENTICATION COMPLETE ===
    Failed to restart unifi.service: Unit unifi.service is masked.
    

    Have you tried to "Unmask" the service?

    systemctl unmask unifi.service
    

    Ubuntu 16 does definitely make the switch to Systemd.



  • And I fixed it.

    I changed the repo back to stable

    ## Debian/Ubuntu
    # stable => unifi4
    # deb http://www.ubnt.com/downloads/unifi/debian unifi4 ubiquiti
    # deb http://www.ubnt.com/downloads/unifi/debian unifi5 ubiquiti
    
    deb http://www.ubnt.com/downloads/unifi/debian stable ubiquiti
    
    # oldstable => unifi3
    # deb http://www.ubnt.com/downloads/unifi/debian unifi3 ubiquiti
    # deb http://www.ubnt.com/downloads/unifi/debian oldstable ubiquiti
    

    told it to update/upgrade and nothing changed.

    [email protected]:~$ sudo apt-get update
    Hit:1 http://us.archive.ubuntu.com/ubuntu xenial InRelease
    Ign:2 http://downloads-distro.mongodb.org/repo/debian-sysvinit dist InRelease
    Get:3 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [95.7 kB]
    Ign:4 http://downloads-distro.mongodb.org/repo/ubuntu-upstart dist InRelease
    Hit:5 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease
    Hit:6 http://security.ubuntu.com/ubuntu xenial-security InRelease
    Hit:7 http://downloads-distro.mongodb.org/repo/debian-sysvinit dist Release
    Ign:8 http://www.ubnt.com/downloads/unifi/debian stable InRelease
    Get:9 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [321 kB]
    Hit:10 http://downloads-distro.mongodb.org/repo/ubuntu-upstart dist Release
    Get:11 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [318 kB]
    Get:12 http://www.ubnt.com/downloads/unifi/debian stable Release [2,498 B]
    Get:15 http://www.ubnt.com/downloads/unifi/debian stable Release.gpg [490 B]
    Get:16 http://www.ubnt.com/downloads/unifi/debian stable/ubiquiti amd64 Packages [850 B]
    Get:17 http://www.ubnt.com/downloads/unifi/debian stable/ubiquiti i386 Packages [850 B]
    Fetched 739 kB in 1s (612 kB/s)
    Reading package lists... Done
    W: http://downloads-distro.mongodb.org/repo/debian-sysvinit/dists/dist/Release.gpg: Signature by key 492EAFE8CD016A07919F1D2B9ECBEC467F0CEB10 uses weak digest algorithm (SHA1)
    W: http://downloads-distro.mongodb.org/repo/ubuntu-upstart/dists/dist/Release.gpg: Signature by key 492EAFE8CD016A07919F1D2B9ECBEC467F0CEB10 uses weak digest algorithm (SHA1)
    [email protected]:~$ sudo apt-get upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Calculating upgrade... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    

    so I told it to install.

    [email protected]:~$ sudo apt-get install unifi
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following additional packages will be installed:
      ca-certificates-java default-jre-headless fontconfig-config fonts-dejavu-core java-common jsvc libavahi-client3
      libavahi-common-data libavahi-common3 libcommons-daemon-java libcups2 libfontconfig1 libjpeg-turbo8 libjpeg8 liblcms2-2
      libnspr4 libnss3 libnss3-nssdb libxi6 libxrender1 libxtst6 mongodb-10gen openjdk-8-jre-headless x11-common
    Suggested packages:
      default-jre java-virtual-machine cups-common liblcms2-utils openjdk-8-jre-jamvm libnss-mdns fonts-dejavu-extra
      fonts-ipafont-gothic fonts-ipafont-mincho ttf-wqy-microhei | ttf-wqy-zenhei fonts-indic
    The following NEW packages will be installed:
      ca-certificates-java default-jre-headless fontconfig-config fonts-dejavu-core java-common jsvc libavahi-client3
      libavahi-common-data libavahi-common3 libcommons-daemon-java libcups2 libfontconfig1 libjpeg-turbo8 libjpeg8 liblcms2-2
      libnspr4 libnss3 libnss3-nssdb libxi6 libxrender1 libxtst6 mongodb-10gen openjdk-8-jre-headless unifi x11-common
    0 upgraded, 25 newly installed, 0 to remove and 0 not upgraded.
    Need to get 161 MB/191 MB of archives.
    After this operation, 426 MB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Get:1 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 liblcms2-2 amd64 2.6-3ubuntu2 [137 kB]
    Get:2 http://downloads-distro.mongodb.org/repo/debian-sysvinit dist/10gen amd64 mongodb-10gen amd64 2.4.14 [88.2 MB]
    Get:3 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 default-jre-headless amd64 2:1.8-56ubuntu2 [4,380 B]
    Get:4 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 libjpeg8 amd64 8c-2ubuntu8 [2,194 B]
    Get:5 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 libcommons-daemon-java all 1.0.15-6 [62.3 kB]
    Get:6 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 jsvc amd64 1.0.15-6 [22.9 kB]
    Get:7 http://www.ubnt.com/downloads/unifi/debian stable/ubiquiti amd64 unifi all 4.8.20-8422 [72.5 MB]
    Fetched 161 MB in 16s (9,640 kB/s)
    Selecting previously unselected package libjpeg-turbo8:amd64.
    (Reading database ... 69519 files and directories currently installed.)
    Preparing to unpack .../libjpeg-turbo8_1.4.2-0ubuntu3_amd64.deb ...
    Unpacking libjpeg-turbo8:amd64 (1.4.2-0ubuntu3) ...
    Selecting previously unselected package liblcms2-2:amd64.
    Preparing to unpack .../liblcms2-2_2.6-3ubuntu2_amd64.deb ...
    Unpacking liblcms2-2:amd64 (2.6-3ubuntu2) ...
    Selecting previously unselected package x11-common.
    Preparing to unpack .../x11-common_1%3a7.7+13ubuntu3_all.deb ...
    Unpacking x11-common (1:7.7+13ubuntu3) ...
    Selecting previously unselected package libxtst6:amd64.
    Preparing to unpack .../libxtst6_2%3a1.2.2-1_amd64.deb ...
    Unpacking libxtst6:amd64 (2:1.2.2-1) ...
    Selecting previously unselected package java-common.
    Preparing to unpack .../java-common_0.56ubuntu2_all.deb ...
    Unpacking java-common (0.56ubuntu2) ...
    Selecting previously unselected package default-jre-headless.
    Preparing to unpack .../default-jre-headless_2%3a1.8-56ubuntu2_amd64.deb ...
    Unpacking default-jre-headless (2:1.8-56ubuntu2) ...
    Selecting previously unselected package libnspr4:amd64.
    Preparing to unpack .../libnspr4_2%3a4.12-0ubuntu0.16.04.1_amd64.deb ...
    Unpacking libnspr4:amd64 (2:4.12-0ubuntu0.16.04.1) ...
    Selecting previously unselected package libnss3-nssdb.
    Preparing to unpack .../libnss3-nssdb_2%3a3.23-0ubuntu0.16.04.1_all.deb ...
    Unpacking libnss3-nssdb (2:3.23-0ubuntu0.16.04.1) ...
    Selecting previously unselected package libnss3:amd64.
    Preparing to unpack .../libnss3_2%3a3.23-0ubuntu0.16.04.1_amd64.deb ...
    Unpacking libnss3:amd64 (2:3.23-0ubuntu0.16.04.1) ...
    Selecting previously unselected package ca-certificates-java.
    Preparing to unpack .../ca-certificates-java_20160321_all.deb ...
    Unpacking ca-certificates-java (20160321) ...
    Selecting previously unselected package libavahi-common-data:amd64.
    Preparing to unpack .../libavahi-common-data_0.6.32~rc+dfsg-1ubuntu2_amd64.deb ...
    Unpacking libavahi-common-data:amd64 (0.6.32~rc+dfsg-1ubuntu2) ...
    Selecting previously unselected package libavahi-common3:amd64.
    Preparing to unpack .../libavahi-common3_0.6.32~rc+dfsg-1ubuntu2_amd64.deb ...
    Unpacking libavahi-common3:amd64 (0.6.32~rc+dfsg-1ubuntu2) ...
    Selecting previously unselected package libavahi-client3:amd64.
    Preparing to unpack .../libavahi-client3_0.6.32~rc+dfsg-1ubuntu2_amd64.deb ...
    Unpacking libavahi-client3:amd64 (0.6.32~rc+dfsg-1ubuntu2) ...
    Selecting previously unselected package libcups2:amd64.
    Preparing to unpack .../libcups2_2.1.3-4_amd64.deb ...
    Unpacking libcups2:amd64 (2.1.3-4) ...
    Selecting previously unselected package libjpeg8:amd64.
    Preparing to unpack .../libjpeg8_8c-2ubuntu8_amd64.deb ...
    Unpacking libjpeg8:amd64 (8c-2ubuntu8) ...
    Selecting previously unselected package fonts-dejavu-core.
    Preparing to unpack .../fonts-dejavu-core_2.35-1_all.deb ...
    Unpacking fonts-dejavu-core (2.35-1) ...
    Selecting previously unselected package fontconfig-config.
    Preparing to unpack .../fontconfig-config_2.11.94-0ubuntu1.1_all.deb ...
    Unpacking fontconfig-config (2.11.94-0ubuntu1.1) ...
    Selecting previously unselected package libfontconfig1:amd64.
    Preparing to unpack .../libfontconfig1_2.11.94-0ubuntu1.1_amd64.deb ...
    Unpacking libfontconfig1:amd64 (2.11.94-0ubuntu1.1) ...
    Selecting previously unselected package libxi6:amd64.
    Preparing to unpack .../libxi6_2%3a1.7.6-1_amd64.deb ...
    Unpacking libxi6:amd64 (2:1.7.6-1) ...
    Selecting previously unselected package libxrender1:amd64.
    Preparing to unpack .../libxrender1_1%3a0.9.9-0ubuntu1_amd64.deb ...
    Unpacking libxrender1:amd64 (1:0.9.9-0ubuntu1) ...
    Selecting previously unselected package openjdk-8-jre-headless:amd64.
    Preparing to unpack .../openjdk-8-jre-headless_8u91-b14-3ubuntu1~16.04.1_amd64.deb ...
    Unpacking openjdk-8-jre-headless:amd64 (8u91-b14-3ubuntu1~16.04.1) ...
    Selecting previously unselected package libcommons-daemon-java.
    Preparing to unpack .../libcommons-daemon-java_1.0.15-6_all.deb ...
    Unpacking libcommons-daemon-java (1.0.15-6) ...
    Selecting previously unselected package jsvc.
    Preparing to unpack .../jsvc_1.0.15-6_amd64.deb ...
    Unpacking jsvc (1.0.15-6) ...
    Selecting previously unselected package mongodb-10gen.
    Preparing to unpack .../mongodb-10gen_2.4.14_amd64.deb ...
    Unpacking mongodb-10gen (2.4.14) ...
    Selecting previously unselected package unifi.
    Preparing to unpack .../unifi_4.8.20-8422_all.deb ...
    Unpacking unifi (4.8.20-8422) ...
    Processing triggers for libc-bin (2.23-0ubuntu3) ...
    Processing triggers for systemd (229-4ubuntu7) ...
    Processing triggers for ureadahead (0.100.0-19) ...
    Processing triggers for man-db (2.7.5-1) ...
    Processing triggers for ca-certificates (20160104ubuntu1) ...
    Updating certificates in /etc/ssl/certs...
    0 added, 0 removed; done.
    Running hooks in /etc/ca-certificates/update.d...
    
    done.
    done.
    Setting up libjpeg-turbo8:amd64 (1.4.2-0ubuntu3) ...
    Setting up liblcms2-2:amd64 (2.6-3ubuntu2) ...
    Setting up x11-common (1:7.7+13ubuntu3) ...
    update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
    Setting up libxtst6:amd64 (2:1.2.2-1) ...
    Setting up java-common (0.56ubuntu2) ...
    Setting up libnspr4:amd64 (2:4.12-0ubuntu0.16.04.1) ...
    Setting up libavahi-common-data:amd64 (0.6.32~rc+dfsg-1ubuntu2) ...
    Setting up libavahi-common3:amd64 (0.6.32~rc+dfsg-1ubuntu2) ...
    Setting up libavahi-client3:amd64 (0.6.32~rc+dfsg-1ubuntu2) ...
    Setting up libcups2:amd64 (2.1.3-4) ...
    Setting up libjpeg8:amd64 (8c-2ubuntu8) ...
    Setting up fonts-dejavu-core (2.35-1) ...
    Setting up fontconfig-config (2.11.94-0ubuntu1.1) ...
    Setting up libfontconfig1:amd64 (2.11.94-0ubuntu1.1) ...
    Setting up libxi6:amd64 (2:1.7.6-1) ...
    Setting up libxrender1:amd64 (1:0.9.9-0ubuntu1) ...
    Setting up libcommons-daemon-java (1.0.15-6) ...
    Setting up jsvc (1.0.15-6) ...
    Setting up mongodb-10gen (2.4.14) ...
    Setting up libnss3-nssdb (2:3.23-0ubuntu0.16.04.1) ...
    Setting up libnss3:amd64 (2:3.23-0ubuntu0.16.04.1) ...
    Setting up openjdk-8-jre-headless:amd64 (8u91-b14-3ubuntu1~16.04.1) ...
    update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/rmid to provide /usr/bin/rmid (rmid) in auto mode
    update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java to provide /usr/bin/java (java) in auto mode
    update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/keytool to provide /usr/bin/keytool (keytool) in auto mode
    update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/jjs to provide /usr/bin/jjs (jjs) in auto mode
    update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/pack200 to provide /usr/bin/pack200 (pack200) in auto mode
    update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/rmiregistry to provide /usr/bin/rmiregistry (rmiregistry) in auto mode
    update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/unpack200 to provide /usr/bin/unpack200 (unpack200) in auto mode
    update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/orbd to provide /usr/bin/orbd (orbd) in auto mode
    update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/servertool to provide /usr/bin/servertool (servertool) in auto mode
    update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/tnameserv to provide /usr/bin/tnameserv (tnameserv) in auto mode
    update-alternatives: using /usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jexec to provide /usr/bin/jexec (jexec) in auto mode
    Setting up ca-certificates-java (20160321) ...
    Setting up default-jre-headless (2:1.8-56ubuntu2) ...
    Setting up unifi (4.8.20-8422) ...
    Processing triggers for libc-bin (2.23-0ubuntu3) ...
    Processing triggers for ca-certificates (20160104ubuntu1) ...
    Updating certificates in /etc/ssl/certs...
    0 added, 0 removed; done.
    Running hooks in /etc/ca-certificates/update.d...
    
    done.
    done.
    

    Since that reinstalled 4.8, and I was running 5.0.7, i changed the repo back to 5

    ## Debian/Ubuntu
    # stable => unifi4
    # deb http://www.ubnt.com/downloads/unifi/debian unifi4 ubiquiti
    deb http://www.ubnt.com/downloads/unifi/debian unifi5 ubiquiti
    
    # deb http://www.ubnt.com/downloads/unifi/debian stable ubiquiti
    
    # oldstable => unifi3
    # deb http://www.ubnt.com/downloads/unifi/debian unifi3 ubiquiti
    # deb http://www.ubnt.com/downloads/unifi/debian oldstable ubiquiti
    

    and told it to upgrade again.

    [email protected]:~$ sudo apt-get update
    Hit:1 http://us.archive.ubuntu.com/ubuntu xenial InRelease
    Hit:2 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease
    Hit:3 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease
    Ign:4 http://downloads-distro.mongodb.org/repo/debian-sysvinit dist InRelease
    Hit:5 http://security.ubuntu.com/ubuntu xenial-security InRelease
    Ign:6 http://downloads-distro.mongodb.org/repo/ubuntu-upstart dist InRelease
    Ign:7 http://www.ubnt.com/downloads/unifi/debian unifi5 InRelease
    Hit:8 http://downloads-distro.mongodb.org/repo/debian-sysvinit dist Release
    Hit:9 http://downloads-distro.mongodb.org/repo/ubuntu-upstart dist Release
    Get:10 http://www.ubnt.com/downloads/unifi/debian unifi5 Release [2,499 B]
    Get:13 http://www.ubnt.com/downloads/unifi/debian unifi5 Release.gpg [490 B]
    Get:14 http://www.ubnt.com/downloads/unifi/debian unifi5/ubiquiti amd64 Packages [652 B]
    Get:15 http://www.ubnt.com/downloads/unifi/debian unifi5/ubiquiti i386 Packages [652 B]
    Fetched 4,293 B in 1s (3,818 B/s)
    Reading package lists... Done
    W: http://downloads-distro.mongodb.org/repo/debian-sysvinit/dists/dist/Release.gpg: Signature by key 492EAFE8CD016A07919F1D2B9ECBEC467F0CEB10 uses weak digest algorithm (SHA1)
    W: http://downloads-distro.mongodb.org/repo/ubuntu-upstart/dists/dist/Release.gpg: Signature by key 492EAFE8CD016A07919F1D2B9ECBEC467F0CEB10 uses weak digest algorithm (SHA1)
    [email protected]:~$ sudo apt-get upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Calculating upgrade... Done
    The following packages will be upgraded:
      unifi
    1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 80.9 MB of archives.
    After this operation, 16.6 MB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Get:1 http://www.ubnt.com/downloads/unifi/debian unifi5/ubiquiti amd64 unifi all 5.0.7-8593 [80.9 MB]
    Fetched 80.9 MB in 8s (9,876 kB/s)
    (Reading database ... 70637 files and directories currently installed.)
    Preparing to unpack .../unifi_5.0.7-8593_all.deb ...
    Unpacking unifi (5.0.7-8593) over (4.8.20-8422) ...
    Processing triggers for systemd (229-4ubuntu7) ...
    Processing triggers for ureadahead (0.100.0-19) ...
    Setting up unifi (5.0.7-8593) ...
    

    and look.

    [email protected]:~$ sudo systemctl status unifi
    ● unifi.service - unifi
       Loaded: loaded (/lib/systemd/system/unifi.service; enabled; vendor preset: enabled)
       Active: active (running) since Mon 2016-08-29 10:32:46 CDT; 19s ago
      Process: 6437 ExecStart=/usr/lib/unifi/bin/unifi.init start (code=exited, status=0/SUCCESS)
     Main PID: 6487 (jsvc)
       CGroup: /system.slice/unifi.service
               ├─6487 unifi -home /usr/lib/jvm/java-8-openjdk-amd64 -cp /usr/share/java/commons-daemon.jar:/usr/lib/unifi/lib/ace.ja
               ├─6489 unifi -home /usr/lib/jvm/java-8-openjdk-amd64 -cp /usr/share/java/commons-daemon.jar:/usr/lib/unifi/lib/ace.ja
               ├─6490 unifi -home /usr/lib/jvm/java-8-openjdk-amd64 -cp /usr/share/java/commons-daemon.jar:/usr/lib/unifi/lib/ace.ja
               ├─6501 /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java -Xmx1024M -XX:ErrorFile=/usr/lib/unifi/data/logs/hs_err_pid<pid
               └─6546 bin/mongod --dbpath /usr/lib/unifi/data/db --port 27117 --logappend --logpath logs/mongod.log --nohttpinterfac
    
    Aug 29 10:32:45 bnauc02 systemd[1]: Starting unifi...
    Aug 29 10:32:45 bnauc02 unifi.init[6437]:  * Starting Ubiquiti UniFi Controller unifi
    Aug 29 10:32:46 bnauc02 unifi.init[6437]:    ...done.
    Aug 29 10:32:46 bnauc02 systemd[1]: Started unifi.
    


  • Win!



  • @dafyre said in UniFi controller will not start after upgrade to Ubuntu 16.04.01:

    @JaredBusch

    ==== AUTHENTICATION COMPLETE ===
    Failed to restart unifi.service: Unit unifi.service is masked.
    

    Have you tried to "Unmask" the service?

    systemctl unmask unifi.service
    

    Ubuntu 16 does definitely make the switch to Systemd.

    Too late i fixed it by reinstalling over itself apparently.



  • @dafyre said in UniFi controller will not start after upgrade to Ubuntu 16.04.01:

    Win!

    If I had realized that stable was not 5.0.X, I would have not changed to stable. Likely saving myself some steps.